Subject: Re: GDB server and threaded application

From: Daniel Jacobowitz <[email-masked]>
Date: Tue, 25 Mar 2003 23:05:34 -0500

On Tue, Mar 25, 2003 at 07:58:30PM -0800, Kalpesh Jasapara wrote:
> Hello,
>
> I am having a problem with remote gdb debugging
> using gdbserver to work with multi threads.
> The command "info threads" shows only one thread.
>
> I am using glibc 2.1.3, powerpc-linux-gdb 5.3,
> powerpc-linux-gcc 2.9.5
>
> Observed that qfThreadInfo packet response contains
> only
> one thread, not a list of all the threads in our
> application.
>
> How does the all_threads list get populated with the
> other
> threads?
>
> Is this feature supported with the versions that we
> are using?

I recommend you search the archives for this mailing list.  I've
still not written a good FAQ about this but I've answered the question
five or six times.

In short, probably your target libraries are not properly available to
the host GDB.

--
Daniel Jacobowitz
MontaVista Software                         Debian GNU/Linux Developer

** Sent via the linuxppc-dev mail list. See http://lists.linuxppc.org/